MoneyUnify - Mobile Money Payments API
  1. Account Lookup
MoneyUnify - Mobile Money Payments API
  • Mobile Money API Documentation
  • Request Payment
    • Request to Pay
      POST
    • Verify Payment
      POST
  • Account Lookup
    • Account Lookup
      POST
  • Payment Links
    • Create a Paymenk Link
      POST
  • Settlements / Withdrawals
    • Settlement
      POST
  • Direct Transfers - coming soon
    • Direct Transafer
      POST
  • Split Payments - coming soon
  1. Account Lookup

Account Lookup

POST
https://api.moneyunify.one/account/lookup
This API endpoints allows for account details verification/lookup of the payer (mobile money user).
This endpoint can optionally be used before the Request Payment endpoint for obtaining the mobile money number details in application such as POS (Point of Sale), etc.

Request

Body Params application/x-www-form-urlencodedRequired

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.moneyunify.one/account/lookup' \
--data-urlencode 'auth_id=jbhug78gsi1' \
--data-urlencode 'phone_number=097xxxxxxxx'
Response Response Example
{
    "message": "Account details resolved successfully.",
    "data": {
        "type": "mobile-money",
        "accountName": "BLESSED MWANZA",
        "phone": "097xxxxxxx",
        "operator": "airtel",
        "country": "zm"
    },
    "isError": false
}
Modified at 2026-01-03 13:22:32
Previous
Verify Payment
Next
Payment Links
Built with